Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706132 - media-gfx/geeqie-1.5.1 : ld: ui_fileops.o:(.bss+0x0): multiple definition of `command_line'; ui_bookmark.o:(.bss+0x0): first defined here
Summary: media-gfx/geeqie-1.5.1 : ld: ui_fileops.o:(.bss+0x0): multiple definition of ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-22 22:40 UTC by Anthony Parsons
Modified: 2020-01-24 14:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,769.17 KB, text/plain)
2020-01-22 22:40 UTC, Anthony Parsons
Details
0001-src-options-fix-build-failure-against-gcc-10.patch (0001-src-options-fix-build-failure-against-gcc-10.patch,2.12 KB, patch)
2020-01-23 19:47 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Parsons 2020-01-22 22:40:22 UTC
Created attachment 604024 [details]
build.log

Another -fno-common build failure
Comment 1 Sergei Trofimovich gentoo-dev 2020-01-23 19:45:40 UTC
Proposed patch upstream: https://github.com/BestImageViewer/geeqie/pull/746
Comment 2 Sergei Trofimovich gentoo-dev 2020-01-23 19:47:45 UTC
Created attachment 604094 [details, diff]
0001-src-options-fix-build-failure-against-gcc-10.patch
Comment 3 Bernard Cafarelli gentoo-dev 2020-01-24 13:56:15 UTC
Thanks slyfox! Testing and adding to ebuild
Comment 4 Larry the Git Cow gentoo-dev 2020-01-24 14:16:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ad537e99690027d0f2c80609e968ff42b0e0778

commit 0ad537e99690027d0f2c80609e968ff42b0e0778
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-01-24 14:02:59 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-01-24 14:03:25 +0000

    media-gfx/geeqie: fix build with -fno-common/gcc10, thanks slyfox
    
    Also sync stable and live ebuilds
    
    Closes: https://bugs.gentoo.org/706132
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 .../geeqie/files/geeqie-1.5.1-no_common.patch      | 75 ++++++++++++++++++++++
 media-gfx/geeqie/geeqie-1.5.1.ebuild               | 22 ++++---
 media-gfx/geeqie/geeqie-9999.ebuild                |  9 ++-
 3 files changed, 94 insertions(+), 12 deletions(-)